Browse Source

Initial commit

remotes/gitlab/master
deing 5 months ago
commit
9056e98f28

+ 15
- 0
.gitlab-ci.yml View File

@@ -0,0 +1,15 @@
1
+image: opensuse/leap:15.0
2
+
3
+pages:
4
+  stage: deploy
5
+  script:
6
+  - zypper --non-interactive ar https://download.opensuse.org/repositories/devel:/languages:/haskell/openSUSE_Leap_15.0/ haskell
7
+  - zypper --non-interactive --gpg-auto-import-keys ref
8
+  - zypper --non-interactive in --from haskell pandoc
9
+  - zypper --non-interactive in sassc git
10
+  - ./build.sh
11
+  artifacts:
12
+    paths:
13
+    - public
14
+  only:
15
+  - master

+ 18
- 0
build.sh View File

@@ -0,0 +1,18 @@
1
+#!/bin/bash
2
+
3
+#remove old artifacts
4
+rm -rf public/
5
+#create all target directories
6
+mkdir -p $(find src/md/ | sed "s/src\/md/public/" | sed "s/\.md//") && mkdir public/res || echo "[build.sh] Failure."
7
+#compile css
8
+sassc src/sass/main.sass public/res/main.css
9
+#move resources
10
+cp src/res/* public/res
11
+#run all md files through pandoc
12
+FILES=$(find src/md -type f)
13
+for FILE in $FILES
14
+do
15
+  pandoc --template=src/template.html $FILE -o public/$(echo $FILE | sed -r "s/src\/md\/(.+)\.md/\1/")/index.html
16
+done
17
+mv public/index/index.html public/index.html
18
+rm public/index/ -rf

+ 51
- 0
public/bundesministr/index.html View File

@@ -0,0 +1,51 @@
1
+<!doctype html>
2
+<html lang="en">
3
+<head>
4
+	<meta charset="utf-8">
5
+	<link rel="stylesheet" href="/res/main.css">
6
+	<title>Bundesministr — 15318</title>
7
+	<meta name="viewport" content="width=device-width, initial-scale=1.0">
8
+</head>
9
+<body>
10
+	<main>
11
+    <header>
12
+      <nav>
13
+        <ul>
14
+          <li><a href="/">start</a></li>
15
+          <li><a href="/bundesministr">bundesministr</a></li>
16
+          <li><a href="/impressum">rechtliches (de)</a></li>
17
+        </ul>
18
+      </nav>
19
+      <p>&copy; 2019 David Lappe | deing</p>
20
+    </header>
21
+		<article>
22
+			<h2 id="bundesministr">Bundesministr</h2>
23
+<p><em>Dedecentralized. Beautiful. Efficient. The Discord Bot you didn’t know you don’t need.</em></p>
24
+<p>Bundesministr (Trademark registration pending) is a simple Discord bot, written mostly for archiving the r/schkreckl Discord server poll chatroom.</p>
25
+<h2 id="core-commands">Core Commands</h2>
26
+<ul>
27
+<li><code>about</code><br />
28
+Displays version information.</li>
29
+<li><code>help</code><br />
30
+Lists available commands.</li>
31
+<li><code>config</code><br />
32
+Allows you to configure the language of Bundesministr (<code>config lang &lt;de|en|nl&gt;</code>) and to set up mirroring (<code>config mirror &lt;#channel&gt;|stop</code>)</li>
33
+</ul>
34
+<h2 id="util-commands">Util Commands</h2>
35
+<ul>
36
+<li><code>ping</code><br />
37
+Pongs you.</li>
38
+<li><code>leo</code><br />
39
+“Shortens” URLs using <a href="https://leo.immobilien/">leo.immobilien</a>: <code>leo example.com</code></li>
40
+<li><code>roll</code><br />
41
+Rolls arbitrary amounts of virtual dice: <code>roll 1d3+2 1d20-1</code></li>
42
+</ul>
43
+<h2 id="meme-commands">Meme Commands</h2>
44
+<ul>
45
+<li><code>kat</code><br />
46
+Announces the commencement of Kat Appreciation Day.</li>
47
+</ul>
48
+		</article>
49
+	</main>
50
+</body>
51
+</html>

+ 33
- 0
public/impressum/index.html View File

@@ -0,0 +1,33 @@
1
+<!doctype html>
2
+<html lang="en">
3
+<head>
4
+	<meta charset="utf-8">
5
+	<link rel="stylesheet" href="/res/main.css">
6
+	<title>Impressum — 15318</title>
7
+	<meta name="viewport" content="width=device-width, initial-scale=1.0">
8
+</head>
9
+<body>
10
+	<main>
11
+    <header>
12
+      <nav>
13
+        <ul>
14
+          <li><a href="/">start</a></li>
15
+          <li><a href="/bundesministr">bundesministr</a></li>
16
+          <li><a href="/impressum">rechtliches (de)</a></li>
17
+        </ul>
18
+      </nav>
19
+      <p>&copy; 2019 David Lappe | deing</p>
20
+    </header>
21
+		<article>
22
+			<h2 id="impressum">Impressum</h2>
23
+<p><strong>Seitenbetreiber und für den Inhalt Verantwortlicher</strong><br />
24
+David Lappe<br />
25
+Feldstraße 1<br />
26
+29227 Celle<br />
27
+Auch erreichbar unter <em>admin@15318.de</em>.</p>
28
+<h2 id="datenschutz">Datenschutz</h2>
29
+<p>Diese Seite setzt keine Techniken wie Tracker oder externe Werbedienstleister ein, um Ihre Aktivitäten auf anderen Seiten nachzuverfolgen. Aus technischen Gründen werden allerdings alle Aufrufe von Seiten auf dieser Domain automatisch registriert. Dabei werden Ihr verwendeter Browser, Ihre IP-Adresse, die Uhrzeit des Aufrufs und die aufgerufene Seite gespeichert. Mit Ausnahme besonderer Umstände wie internen oder rechtlichen Untersuchungen zu möglichem Missbrauch der Seite werden diese Logdateien nach dreißig Tagen gelöscht. Anonymisierte und aggregierte Daten können zu Auswertungszwecken beliebig lange vorgehalten werden. Möchten Sie dieser Verarbeitung widersprechen, wenden Sie sich bitte an <em>admin@15318.de</em>.</p>
30
+		</article>
31
+	</main>
32
+</body>
33
+</html>

+ 39
- 0
public/index.html View File

@@ -0,0 +1,39 @@
1
+<!doctype html>
2
+<html lang="en">
3
+<head>
4
+	<meta charset="utf-8">
5
+	<link rel="stylesheet" href="/res/main.css">
6
+	<title>Fuffzehndreieinsacht — 15318</title>
7
+	<meta name="viewport" content="width=device-width, initial-scale=1.0">
8
+</head>
9
+<body>
10
+	<main>
11
+    <header>
12
+      <nav>
13
+        <ul>
14
+          <li><a href="/">start</a></li>
15
+          <li><a href="/bundesministr">bundesministr</a></li>
16
+          <li><a href="/impressum">rechtliches (de)</a></li>
17
+        </ul>
18
+      </nav>
19
+      <p>&copy; 2019 David Lappe | deing</p>
20
+    </header>
21
+		<article>
22
+			<h2 id="hello-stranger">Hello, stranger!</h2>
23
+<p>I’m David and you most likely know me by my online handle <strong>deing</strong> or some variation thereof. I’m a pretty nerdy student from Lower Saxony in Germany. This page is mostly about my projects.</p>
24
+<h2 id="my-open-source-projects">My open-source projects</h2>
25
+<ul>
26
+<li>Many contributions to <a href="https://gitlab.com/tildey/tildey">Tildey</a>, a Discord Bot.</li>
27
+<li><a href="bundesministr/">Bundesministr</a> for some stuff a Discord server which I co-mod needed.</li>
28
+<li><a href="https://unofficial-tildes-wiki.gitlab.io">The unofficial Tildes Wiki</a> has information about <a href="https://tildes.net">tildes.net</a>, a nonprofit community site.</li>
29
+<li><a href="https://gitlab.com/deing/fuffzehndreieinsacht">This page</a> is open-source too.</li>
30
+</ul>
31
+<h2 id="miscellaneous-trivia">Miscellaneous Trivia</h2>
32
+<p>I’m an Ordoliberalist, Humanist and agnostic. This URL was decided on at 2:30 in the morning and I don’t remember why. Interests of mine include D&amp;D, creative writing, Linux, stage equipment, Person of Interest, Stargate, instrumental remixes of music that’s older than me, weird socks, girls, boys and everyone in between.<br />
33
+This page is created using Pandoc and SASS.</p>
34
+<h2 id="how-to-harass-me-contact"><del>How to harass me</del> Contact</h2>
35
+<p>You can reach me via <a href="maito:admin@15318.de">email</a>, one of the accounts listed at <a href="https://keybase.io/deing">Keybase</a>, or Discord at <code>deing#7141</code>. From Keybase, you can easily send me encrypted messages as well, if you feel like that’s necessary.</p>
36
+		</article>
37
+	</main>
38
+</body>
39
+</html>

+ 68
- 0
public/res/main.css View File

@@ -0,0 +1,68 @@
1
+@charset "UTF-8";
2
+* {
3
+  margin: 0;
4
+  padding: 0;
5
+  color: #16161d;
6
+  line-height: 1.4; }
7
+
8
+body {
9
+  margin: 0; }
10
+  body main {
11
+    width: 100%;
12
+    height: 100vh;
13
+    display: grid;
14
+    background-color: #e0e0e0;
15
+    color: #16161d;
16
+    grid-template-columns: 15rem 70ch;
17
+    grid-template-rows: 1fr; }
18
+    body main article {
19
+      grid-column: 2;
20
+      padding-left: 1rem;
21
+      text-align: justify; }
22
+      body main article a {
23
+        text-decoration: none;
24
+        color: #22a060;
25
+        text-transform: uppercase; }
26
+        body main article a:hover, body main article a:focus {
27
+          text-decoration: underline; }
28
+      body main article p, body main article h2 {
29
+        margin-bottom: .3rem; }
30
+      body main article h2 {
31
+        text-transform: uppercase;
32
+        font-size: 1rem;
33
+        border-bottom: 3px solid #16161d; }
34
+      body main article li {
35
+        margin-left: 1rem;
36
+        list-style: '— '; }
37
+      body main article code {
38
+        padding: 1px;
39
+        font-size: .9rem;
40
+        background-color: lightgray;
41
+        border-radius: 2px; }
42
+    body main header {
43
+      background-color: lightgray;
44
+      grid-column: 1;
45
+      border-right: 3px solid #16161d; }
46
+      body main header p {
47
+        text-align: right;
48
+        text-transform: uppercase;
49
+        padding: .3rem; }
50
+      body main header nav ul li {
51
+        list-style-type: none;
52
+        text-align: right; }
53
+        body main header nav ul li a {
54
+          display: inline-block;
55
+          box-sizing: border-box;
56
+          width: 100%;
57
+          border-right: 3px solid #16161d;
58
+          padding: .3rem;
59
+          margin-right: -3px;
60
+          padding-right: .3rem;
61
+          text-transform: uppercase;
62
+          text-decoration: none;
63
+          font-weight: bold;
64
+          position: relative; }
65
+          body main header nav ul li a:hover, body main header nav ul li a:focus {
66
+            outline: none;
67
+            border-color: #22a060;
68
+            background-image: linear-gradient(270deg, #22a060 0%, lightgray 33%); }

+ 32
- 0
src/md/bundesministr.md View File

@@ -0,0 +1,32 @@
1
+---
2
+title: Bundesministr
3
+---
4
+
5
+## Bundesministr
6
+
7
+_Dedecentralized. Beautiful. Efficient. The Discord Bot you didn't know you don't need._
8
+
9
+Bundesministr (Trademark registration pending) is a simple Discord bot, mostly written for archiving the r/schkreckl Discord server poll chatroom.
10
+
11
+## Core Commands
12
+
13
+ - `about`  
14
+ Displays version information.
15
+ - `help`  
16
+ Lists available commands.
17
+ - `config`  
18
+ Allows you to configure the language of Bundesministr (`config lang <de|en|nl>`) and to set up mirroring (`config mirror <#channel>|stop`)
19
+
20
+## Util Commands
21
+
22
+ - `ping`  
23
+ Pongs you.
24
+ - `leo`  
25
+ “Shortens” URLs using [leo.immobilien](https://leo.immobilien/): `leo example.com`
26
+ - `roll`  
27
+ Rolls arbitrary amounts of virtual dice: `roll 1d3+2 1d20-1`
28
+
29
+## Meme Commands
30
+
31
+ - `kat`  
32
+ Announces the commencement of Kat Appreciation Day.

+ 15
- 0
src/md/impressum.md View File

@@ -0,0 +1,15 @@
1
+---
2
+title: Impressum
3
+---
4
+
5
+## Impressum
6
+
7
+__Seitenbetreiber und für den Inhalt Verantwortlicher__  
8
+David Lappe  
9
+Feldstraße 1  
10
+29227 Celle  
11
+Auch erreichbar unter _admin@15318.de_.
12
+
13
+## Datenschutz
14
+
15
+Diese Seite setzt keine Techniken wie Tracker oder externe Werbedienstleister ein, um Ihre Aktivitäten auf anderen Seiten nachzuverfolgen. Aus technischen Gründen werden allerdings alle Aufrufe von Seiten auf dieser Domain automatisch registriert. Dabei werden Ihr verwendeter Browser, Ihre IP-Adresse, die Uhrzeit des Aufrufs und die aufgerufene Seite gespeichert. Mit Ausnahme besonderer Umstände wie internen oder rechtlichen Untersuchungen zu möglichem Missbrauch der Seite werden diese Logdateien nach dreißig Tagen gelöscht. Anonymisierte und aggregierte Daten können zu Auswertungszwecken beliebig lange vorgehalten werden. Möchten Sie dieser Verarbeitung widersprechen, wenden Sie sich bitte an _admin@15318.de_.

+ 23
- 0
src/md/index.md View File

@@ -0,0 +1,23 @@
1
+---
2
+title: Fuffzehndreieinsacht
3
+---
4
+
5
+## Hello, stranger!
6
+
7
+I'm David and you most likely know me by my online handle __deing__ or some variation thereof. I'm a pretty nerdy student from Lower Saxony in Germany. This page is mostly about my projects.
8
+
9
+## My open-source projects
10
+
11
+ - Many contributions to [Tildey](https://gitlab.com/tildey/tildey), a Discord Bot.
12
+ - [Bundesministr](bundesministr/) for some stuff a Discord server which I co-mod needed.
13
+ - [The unofficial Tildes Wiki](https://unofficial-tildes-wiki.gitlab.io) has information about [tildes.net](https://tildes.net), a nonprofit community site.
14
+ - [This page](https://gitlab.com/deing/deing.gitlab.io) is open-source too.
15
+
16
+## Miscellaneous Trivia
17
+
18
+I'm an Ordoliberalist, Humanist and agnostic. This URL was decided on at 2:30 in the morning and I don't remember why. Interests of mine include D&D, creative writing, Linux, stage equipment, Person of Interest, Stargate, instrumental remixes of music that's older than me, weird socks, girls, boys and everyone in between.  
19
+This page is created using Pandoc and SASS.
20
+
21
+## ~~How to harass me~~ Contact
22
+
23
+You can reach me via [email](maito:admin@15318.de), one of the accounts listed at [Keybase](https://keybase.io/deing), or Discord at `deing#7141`. From Keybase, you can easily send me encrypted messages as well, if you feel like that's necessary.

+ 73
- 0
src/sass/main.sass View File

@@ -0,0 +1,73 @@
1
+$c-bg: #e0e0e0
2
+$c-bga: darken($c-bg, 5%)
3
+$c-fg: #16161d
4
+$c-highlight: #22a060
5
+
6
+*
7
+  margin: 0
8
+  padding: 0
9
+  color: $c-fg
10
+  line-height: 1.4
11
+
12
+body
13
+  margin: 0
14
+  main
15
+    width: 100%
16
+    height: 100vh
17
+    display: grid
18
+    background-color: $c-bg
19
+    color: $c-fg
20
+    grid-template-columns: 15rem 70ch
21
+    grid-template-rows: 1fr
22
+    article
23
+      grid-column: 2
24
+      padding-left: 1rem
25
+      text-align: justify
26
+      a
27
+        text-decoration: none
28
+        color: $c-highlight
29
+        text-transform: uppercase
30
+        &:hover, &:focus
31
+          text-decoration: underline
32
+      p, h2
33
+        margin-bottom: .3rem
34
+      h2
35
+        text-transform: uppercase
36
+        font-size: 1rem
37
+        border-bottom: 3px solid $c-fg
38
+      li
39
+      	margin-left: 1rem
40
+	      list-style: '— '
41
+      code
42
+        padding: 1px
43
+        font-size: .9rem
44
+        background-color: $c-bga
45
+        border-radius: 2px
46
+    header
47
+      background-color: $c-bga
48
+      grid-column: 1
49
+      border-right: 3px solid $c-fg
50
+      p
51
+        text-align: right
52
+        text-transform: uppercase
53
+        padding: .3rem
54
+      nav ul
55
+        li
56
+          list-style-type: none
57
+          text-align: right
58
+          a
59
+            display: inline-block
60
+            box-sizing: border-box
61
+            width: 100%
62
+            border-right: 3px solid $c-fg
63
+            padding: .3rem
64
+            margin-right: -3px
65
+            padding-right: .3rem
66
+            text-transform: uppercase
67
+            text-decoration: none
68
+            font-weight: bold
69
+            position: relative
70
+            &:hover, &:focus
71
+              outline: none
72
+              border-color: $c-highlight
73
+              background-image: linear-gradient(270deg, $c-highlight 0%, $c-bga 33%)

+ 26
- 0
src/template.html View File

@@ -0,0 +1,26 @@
1
+<!doctype html>
2
+<html lang="en">
3
+<head>
4
+	<meta charset="utf-8">
5
+	<link rel="stylesheet" href="/res/main.css">
6
+	<title>$title$ — 15318</title>
7
+	<meta name="viewport" content="width=device-width, initial-scale=1.0">
8
+</head>
9
+<body>
10
+	<main>
11
+    <header>
12
+      <nav>
13
+        <ul>
14
+          <li><a href="/">start</a></li>
15
+          <li><a href="/bundesministr">bundesministr</a></li>
16
+          <li><a href="/impressum">rechtliches (de)</a></li>
17
+        </ul>
18
+      </nav>
19
+      <p>&copy; 2019 David Lappe | deing</p>
20
+    </header>
21
+		<article>
22
+			$body$
23
+		</article>
24
+	</main>
25
+</body>
26
+</html>

Loading…
Cancel
Save